Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class FacesSpringELExpressionParser

    java.lang.Object
      org.springframework.binding.expression.spel.SpringELExpressionParser
          org.springframework.webflow.expression.spel.WebFlowSpringELExpressionParser
              org.springframework.faces.webflow.FacesSpringELExpressionParser

All Implemented Interfaces:
  ExpressionParser

    public class FacesSpringELExpressionParser

extends WebFlowSpringELExpressionParser

A Spring EL `ExpressionParser` for use with JSF. Adds JSF specific Spring EL PropertyAccessors.

Since:
  2.1
Author:
  Rossen Stoyanchev

Constructor Summary
`FacesSpringELExpressionParser(org.springframework.expression.spel.standard.SpelExpressionParser expressionParser)`
`FacesSpringELExpressionParser(org.springframework.expression.spel.standard.SpelExpressionParser expressionParser, ConversionService conversionService)`

Method Summary

Methods inherited from class org.springframework.binding.expression.spel.SpringELExpressionParser
`addPropertyAccessor, getConversionService, parseExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesSpringELExpressionParser

    public FacesSpringELExpressionParser(org.springframework.expression.spel.standard.SpelExpressionParser expressionParser)

### FacesSpringELExpressionParser

    public FacesSpringELExpressionParser(org.springframework.expression.spel.standard.SpelExpressionParser expressionParser,
                                         ConversionService conversionService)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD